Retrieve Balances Over Time By Account

List the balances of a specific bank account for a customer across all ingestion sources. Ordered by balance
date.

It calculates the balance for each date, by iterating from the date the account was last refreshed to the to
and from dates provided. It then checks all the transactions within this range, calculating the balance at
the end of each day.

This endpoint limits the date from which it gets balances from either by the oldest transaction_window on the
account if they are present, or by the oldest transaction within the requested date range available.

For users ingesting data via the Ingest Accounts endpoint, you can increase the range and accuracy of the
data supplied from this service by including the transaction_window field upon account ingestion.

Results are limited to up to 5000 balance items.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The account ID to retrieve data for.

Query Params
string

The date from when results are to be retrieved in the format RFC 3339.

Examples:

  • 2023-01-17T17:29:51Z
  • 2023-01-17T17:29:51-08:00
string

The date up to when results are to be retrieved in the format RFC 3339.

Examples:

  • 2023-03-17T17:29:51Z
  • 2023-03-17T17:29:51-08:00
string

Specifies in what interval the balance over time should be retrieved.

Currently supported values include (but are not necessarily limited to):

  • daily
  • weekly
  • biweekly
  • monthly
  • quarterly
  • six_monthly
  • annually

Defaults to weekly.

Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

Bud Customer identifier

string

The Bud Customer secret used to encrypt customer data. This is optional only if the customer secret is already stored with Bud (i.e. the host_secret was set to true in the Customer Context when the customer was created).

Responses

401

An unauthenticated request was received.

Language
LoadingLoading…
Response
Choose an example:
application/json